Subject: bug#79136: closed (Re: bug#79136: [PATCH] Inhibit warning for missing lexbind cookie in kkc init file)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Aug 2025 15:02:03 +0000

Your bug report

#79136: [PATCH] Inhibit warning for missing lexbind cookie in kkc init file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79136: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79136
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79136: [PATCH] Inhibit warning for missing lexbind cookie in kkc init file
From: Eli Zaretskii <[email-masked]>
To: Sean Devlin <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Aug 2025 18:01:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Sean Devlin <[email-masked]>
> Date: Sat, 2 Aug 2025 09:03:53 -0500
> Cc: [email-masked]
> 
> I tried this patch, but there was an error reading the kkcrc file. The file-local
> property line is missing a comment at the beginning. See if the attached patch
> works. (I also split up the string formatting to make it more readable to me, but
> feel free to change it back if you prefer a single function call.)

Thanks, fixed the missing semicolons and installed the change on the
master branch.

I'm therefore closing the bug.

Subject: [PATCH] Inhibit warning for missing lexbind cookie in kkc init file
From: Sean Devlin <[email-masked]>
To: [email-masked]
Date: Thu, 31 Jul 2025 13:21:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi folks,

This change is to suppress a warning for a missing lexical-binding
cookie in the kkcrc file used by the Japanese input method. Emacs
generates this file, and AFAICT it is not meant to be edited by users.

To reproduce the warning:

1. mkdir /tmp/emacs-kkcrc
2. HOME=/tmp/emacs-kkcrc emacs
3. q                            > Dismiss the start screen
4. C-\ japanese RET
5. nihongo SPC RET              > Enter some Japanese text
6. C-x C-c
7. Repeat steps 2-5

On the second iteration of step 5, you should seen a warning message
when Emacs loads the kkcrc file.

I looked at how this was handled elsewhere and made the attached patch.

Please let me know if anything else is required.

Thanks!

In GNU Emacs 31.0.50 (build 1, aarch64-apple-darwin24.6.0, NS
appkit-2575.70 Version 15.6 (Build 24G5065c)) of 2025-07-16 built on
beatrix.local
Repository revision: 087a11d1372d02bd45c1efbcf2fc7e5a98ddf1e5
Repository branch: spd-igc
Windowing system distributor 'Apple', version 10.3.2575
System Description:  macOS 15.6

Configured using:
'configure --with-ns --with-modules --with-native-compilation
--with-libgmp --with-tree-sitter --with-sqlite3 --with-mps=yes
--without-imagemagick --without-dbus CPPFLAGS=-I/opt/homebrew/include
LDFLAGS=-L/opt/homebrew/lib PKG_CONFIG_PATH=/opt/homebrew/lib/pkgconfig
ac_cv_func_posix_spawn_file_actions_addchdir=no'